Bug 807179 - Addition to openstack-swift packaging (default configs)
Addition to openstack-swift packaging (default configs)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-swift (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Derek Higgins
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:34 EDT by Derek Higgins
Modified: 2012-10-18 07:17 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-swift-1.7.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 07:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Higgins 2012-03-27 04:34:37 EDT
Installing the openstack-swift packages leaves you with an empty config dir (/etc/swift)

should we include default config files?

Adding simple default config file would help a new user to get up a running with swift.

pointed out by apevec
upstream discussion is proposed on this for the design summit
http://summit.openstack.org/sessions/view/26
Comment 1 Alan Pevec 2012-09-17 12:40:17 EDT
This was pushed to f18
http://pkgs.fedoraproject.org/cgit/openstack-swift.git/commit/?id=61f8545c153a01169a586873ad7056cbb5c5de5d

Note these files still won't produce working All-in-one Swift setup, you need to configure keystone authtoken, swift-hash and create the ring.

Derek, you might want to introduce openstack-swift-aio setup script to handle those steps from getting started wiki, as a part of bug 809233
Comment 2 Derek Higgins 2012-09-17 14:18:21 EDT
The openstack-demo-install script that comes with the openstack-utils package 
https://github.com/fedora-openstack/openstack-utils/blob/master/utils/openstack-demo-install

now includes setting up a demo swift aio. Do you think this is enough? Or should we include an additional swift aio script that is installed with openstack-swift?
Comment 3 Alan Pevec 2012-10-18 07:16:24 EDT
openstack-demo-install is good enough

Note You need to log in before you can comment on or make changes to this bug.